Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.instance.node
Class ForEachNodeInstance.ForEachJoinNodeInstance

    java.lang.Object
      org.jbpm.workflow.instance.impl.NodeInstanceImpl
          org.jbpm.workflow.instance.node.ForEachNodeInstance.ForEachJoinNodeInstance

All Implemented Interfaces:
  Serializable, NodeInstance

Enclosing class:
  ForEachNodeInstance

    public class ForEachNodeInstance.ForEachJoinNodeInstance

extends NodeInstanceImpl

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`NodeInstanceImpl.NodeInstanceTrigger`

Constructor Summary
`ForEachNodeInstance.ForEachJoinNodeInstance()`

Method Summary
`ForEachNode.ForEachJoinNode` | `getForEachJoinNode()`
`void` | `internalTrigger(NodeInstance from, String type)`

Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`cancel, followConnection, getId, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getUniqueId, getVariable, isInversionOfControl, resolveContext, resolveContextInstance, setId, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerCompleted, triggerConnection, triggerNodeInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForEachNodeInstance.ForEachJoinNodeInstance

    public ForEachNodeInstance.ForEachJoinNodeInstance()

Method Detail

### getForEachJoinNode

    public ForEachNode.ForEachJoinNode getForEachJoinNode()

### internalTrigger

    public void internalTrigger(NodeInstance from,
                                String type)

  Specified by:
    `internalTrigger` in class `NodeInstanceImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.